## PolkitBackendLocalAuthority PolkitBackendLocalAuthority — Local Authority |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

                        PolkitBackendLocalAuthority;
    struct              PolkitBackendLocalAuthorityClass;

## Object Hierarchy

      GObject
       +----PolkitBackendAuthority
             +----PolkitBackendInteractiveAuthority
                   +----PolkitBackendLocalAuthority

## Properties

      "auth-store-paths"         gchar*                : Write / Construct Only
      "config-path"              gchar*                : Write / Construct Only

## Description

An implementation of PolkitBackendAuthority that stores authorizations on the local file system, supports interaction with authentication agents (virtue of being based on PolkitBackendInteractiveAuthority).

## Details

### PolkitBackendLocalAuthority

    typedef struct _PolkitBackendLocalAuthority PolkitBackendLocalAuthority;

The PolkitBackendLocalAuthority struct should not be accessed directly.

### struct PolkitBackendLocalAuthorityClass

    struct PolkitBackendLocalAuthorityClass {
      PolkitBackendInteractiveAuthorityClass parent_class;
    };

Class structure for PolkitBackendLocalAuthority.

PolkitBackendInteractiveAuthorityClass `parent_class`; | The parent class.

## Property Details

### The `"auth-store-paths"` property

      "auth-store-paths"         gchar*                : Write / Construct Only

Semi-colon separated list of Authorization Store 'top' directories.

Default value: "/var/lib/polkit-1/localauthority;/etc/polkit-1/localauthority"

### The `"config-path"` property

      "config-path"              gchar*                : Write / Construct Only

Path to directory of LocalAuthority config files.

Default value: "/etc/polkit-1/localauthority.conf.d"